> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST New Candidate

> Pushes a candidate from an applicant tracking system directly into the Rippling onboarding flow. Please note, this endpoint is only available to applications integrating with OAuth2.0.

NOTE: This endpoint is NOT available for use with Rippling customer API Keys.



## OpenAPI

````yaml post /platform/api/ats_candidates/push_candidate
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/ats_candidates/push_candidate:
    parameters: []
    post:
      tags:
        - H. ATS
      summary: POST New Candidate
      description: >-
        Pushes a candidate from an applicant tracking system directly into the
        Rippling onboarding flow. Please note, this endpoint is only available
        to applications integrating with OAuth2.0.


        NOTE: This endpoint is NOT available for use with Rippling customer API
        Keys.
      operationId: post-ats_candidates-push_candidate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Candidate'
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Candidate'
      security:
        - Token: []
components:
  schemas:
    Candidate:
      title: Candidate
      type: object
      description: The Rippling candidate model.
      x-tags:
        - Models
      properties:
        name:
          type: string
          description: The candidate's name.
        email:
          type: string
          description: The candidate's email.
        jobTitle:
          type: string
          description: The candidate's job title.
        phoneNumber:
          type: string
          description: The candidate's phone number.
        candidateId:
          type: string
          description: The unique identifier of the candidate from the ATS.
        startDate:
          type: string
          description: The would-be start date of the candidate.
          format: date
        salaryUnit:
          type: string
          description: >-
            An ENUM string value, denoting the frequency at which the candidate
            should be paid once the role begins. Note, the PAY_PERIOD ENUM
            implies the candidate is paid as per a custom pay period.
          enum:
            - HOUR
            - DAY
            - WEEK
            - MONTH
            - PAY_PERIOD
        salaryPerUnit:
          type: number
          description: >-
            The decimal value that the candidate gets paid every salaryUnit time
            period.
        signingBonus:
          type: number
          description: >-
            The bonus cash given to the candidate as a part of a one time
            payment, with two decimal digit precision.
          format: double
        currency:
          type: string
          description: A string field of the official currency as listed in ISO 4217.
        equityShares:
          type: integer
          description: The number of shares that will be given to the candidate.
        department:
          type: string
          description: This is the id of the department from GET/departments.
        employmentType:
          type: string
          description: The ENUM type of employment the user will have within Rippling.
          enum:
            - CONTRACTOR
            - SALARIED_PT
            - SALARIED_FT
            - HOURLY_FT
            - HOURLY_PT
            - TEMP
        workLocation:
          type: string
          description: This is the id of the worklocation from GET/work_locations.
          x-stoplight:
            id: 4i8qwekb2fsyp
        attachments:
          type: array
          items:
            type: object
            description: >-
              An array of json objects containing file names and public file
              URLs containing documents pertaining to the candidate.
            properties:
              file_name:
                type: string
                description: The file name.
              file_url:
                type: string
                description: >-
                  The public URL and name of a pdf/docx/doc/odt file containing
                  documents pertaining to the candidate.
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````